Update or create a contact (upsert)
Update or create a contact (upsert)
Requires the CONTACT.CREATE or CONTACT.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Query parameters
identifier_field
Which field to use to identify whether the resource exists or not
custom_field_reference
Which custom field to use to identify whether the resource exists or not
field_actions
The list of actions for specific fields.
Request
This endpoint expects an object.
reference
A custom reference assigned to the contact.
customer_id
The ID of the customer.
email
The email of the contact.
name
A custom name assigned to the contact.
notification_preferences
Notification preferences for contact-related communications.
custom_fields
linked_integrations
Response
Created
reference
A custom reference assigned to the contact.
customer_id
The ID of the customer.
email
The email of the contact.
object_type
id
name
A custom name assigned to the contact.
notification_preferences
Notification preferences for contact-related communications.
custom_fields
linked_integrations
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error